package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag999;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT999Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT999Creator mt999Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt999Creator= (MT999Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt999Creator.getTransactionReferenceNumber();
        mt999Creator.set("20", tag20Value);
    }
}
